#include <iostream>
using namespace std;

int main()
{
	unsigned long long V=0;
	cin >> V;
	int cif=0;
	
	while(V!=0)
	{
		if(V%10==1)
		{
			cif=cif+1;
		}
		if(V%10==2)
		{
			cif=cif+1;
		}
		if(V%10==3)
		{
			cif=cif+2;
		}
		if(V%10==4)
		{
			cif=cif+2;
		}
		if(V%10==5)
		{
			cif=cif+1;
		}
		if(V%10==6)
		{
			cif=cif+2;
		}
		if(V%10==7)
		{
			cif=cif+2;
		}
		if(V%10==8)
		{
			cif=cif+3;
		}
		if(V%10==9)
		{
			cif=cif+3;
		}
		if(V%10==0)
		{
		}
		V=V/10;
	}
	cout << cif << endl;
	return 0;
}